problema kwin dopo upgrade kernel

Tutto ciò che è pertinente a Sabayon Linux, indipendentemente dall'architettura e dall'ambiente grafico

Moderator: Moderators

sedo_5
Growing Hen
Posts: 133
Joined: Sun Dec 05, 2010 19:20

problema kwin dopo upgrade kernel

Post by sedo_5 » Sun Jan 23, 2011 18:07

Ciao a tutti. Mi scuso per il numero di miei post pubblicati in questi giorni...non me ne vogliate!
Premessa: stavo cercando di installare Virtual Box e questo ha creato un macello....ma andiamo con ordine.
Uso Sabayon 5.4 kde (aggiornato).
Ho provato inizialmente ad installare il nuovo Virtual box 4 dal sito (il file .run), ma niente (aveva problemi con il kernel di vbox e non riuscivo a trovare guide risolutive); ok pazienza, vado con equo. Seguo il wiki di sabayon sull'installazione di Vbox con equo, ma non ci riesco perchè dava dei problemi con i moduli da caricare (mi accorgo che è causato dalla presenza del kernel .35 e che birtualbox-modules è nei repository ma non per il .35, ma c'è il .37). Visto che avevo provato sulla stessa macchina qualche giorno fà il .37 e che mi era andata bene, decido di disinstallare vbox e compagnia, di upgradare il kernel a .37 e reinstallare vbox. Faccio tutto questo (seguendo il wiki di sabayon sull'upgrade del kernel, quindi ho anche aggiornato i drivers che si riferivano ancora al .35), ed alla fine virtualbox si installa correttamente con la procedura sul wiki (adesso depmod e modprobe riconoscono tutto). Dopo aver seguito il wiki per filo e per segno riavvio. Grub riconosce tranquillamente il kernel, ma una volta effettuato l'accesso noto qualche indecisione ed al lancio del desktop mi spunta l'avviso che kwin non ha potuto attivare gli effetti desktop. Anche i tentativi manuali di riavviamento dei suddetti effetti non va a buon fine.
In sostanza qualcosa sarà andato male nell'upgrade del kernel....ma cosa? (la prima volta mi era andata bene!)
Oltre il danno la beffa....ancora non sono riuscito ad avviare quel diamine di virtualbox!!!! :evil: :evil: :evil:

Cosa posso fare?
Come posso tentare un downgrade del kernel?
E (se il computer non muore prima) come far funzionare correttamente sto diavolo di Virtualbox?

Grazie mille a tutti in anticipo!
Ciao

Renzo

PS: i wiki di cui parlo:
- per virtualbox: http://wiki.sabayonlinux.org/index.php? ... oprietary) dove dice riguardo ad entropy:
Run these two commands in order to install via Entropy, the fastest, simplest and safest method.
equo update
equo install virtualbox-bin virtualbox-modules
depmod -a
modprobe vboxdrv
modprobe vboxnetadp
modprobe vboxnetflt

to get virtualbox modules loaded automatically
nano /etc/conf.d/modules

add to it:
modules_2_6="vboxdrv"
module_vboxdrv_args=""
- per il kernel http://wiki.sabayonlinux.org/index.php? ... ng_Entropy

Matte88
Technological Hen
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo

Re: problema kwin dopo upgrade kernel

Post by Matte88 » Sun Jan 23, 2011 18:47

Allora... Per il discorso vbox ho cappellato pure io perchè m'ero intrippato con il run reperibile da virtualbox.org (http://download.virtualbox.org/virtualb ... _amd64.run) da bravo tordo...
Colgo l'occasione per ricordarti che l'installazione software in Sabayon segue la seguente gerarchia:
A. Entropy
B. Portage
C. sorgenti prelevati dal sito del produttore

Disinstalla innanzitutto VirtualBox da Entropy col comando

Code: Select all

equo remove --configfiles app-emulation/virtualbox-bin app-emulation/virtualbox-guest-additions app-emulation/virtualbox-modules
Rimuovi anche la cartelle di VirtualBox nella tua home (una è nascosta-> .VirtualBox hai notato il punto davanti, no? È una cartella nascosta, appunto: abilita quindi la visualizzazione dei files nascosti)

Installa i sorgenti del kernel Sabayon presenti in Entropy

Code: Select all

equo install sys-kernel/sabayon-sources-2.6.37
VirtualBox 4 è presente in Portage, perciò puoi (anzi, devi :wink: ) installarlo tramite emerge; per farlo devi prima settare il valore PUEL all'interno della variabile ACCEPT_LICENSE= presente nel file /etc/make.conf (leggi qui, sezione: Installing masked versions of VirtualBox)

Code: Select all

emerge app-emulation/virtualbox-bin app-emulation/virtualbox-extpack-oracle app-emulation/virtualbox-additions app-emulation/virtualbox-modules && equo rescue spmsync
---

Riguardo gli effetti KWin, la prima cosa che mi viene in mente è che non funzionino a causa di un problema legato alla scheda video (quindi drivers/accelerazione 3D settata correttamente)... Prova a reinstallare il kernel .37 seguendo i passaggi che ti ho indicato nel tuo post-> [RISOLTO] problema sospensione su ram con nvidia 435m gt
Image
When I became the sun,
I shone life into the man's hearts.

sedo_5
Growing Hen
Posts: 133
Joined: Sun Dec 05, 2010 19:20

Re: problema kwin dopo upgrade kernel

Post by sedo_5 » Mon Jan 24, 2011 12:33

Grazie mille! effettivamente penso di non aver eseguito l'ultimo comando del post precedente, quello in cui impostavo l'opengl su nvidia.
Ora il problema kernel e kwin è risolto!
PS: tra le varie prove ho anche tentato di riavviare da grub il kernel precedente che non avevo disinstallato , il .35, ma non partiva...è normale qui in sabayon ? (su ubuntu e simili partiva finchè non lo disinstallavo esplicitamente).

Per quanto riguarda virtual box da portage non riesco ad installarlo! ho eseguito i consigli di quella guida di gentoo, modificando prima /etc/portage/package.keywords e poi /etc/make.conf , ma niente, mi dice:
emerge: there are no ebuilds to satisfy "app-emulation/virtualbox-bin"
:?:

Grazie mille come sempre!
Renzo

Matte88
Technological Hen
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo

Re: problema kwin dopo upgrade kernel

Post by Matte88 » Mon Jan 24, 2011 18:44

:shock:

Code: Select all

SabyK bh # emerge -s virtualbox-bin
Searching...    
[ Results for search key : virtualbox-bin ]
[ Applications found : 1 ]

*  app-emulation/virtualbox-bin
      Latest version available: 4.0.2
      Latest version installed: [ Not Installed ]
      Size of files: 137,037 kB
      Homepage:      http://www.virtualbox.org/
      Description:   Family of powerful x86 virtualization products for enterprise as well as home use
      License:       GPL-2 PUEL
Prova ad aggiornare il database di emerge con

Code: Select all

emerge --sync
Image
When I became the sun,
I shone life into the man's hearts.

sedo_5
Growing Hen
Posts: 133
Joined: Sun Dec 05, 2010 19:20

Re: problema kwin dopo upgrade kernel

Post by sedo_5 » Mon Jan 24, 2011 19:19

Ecco cosa mi dice:
* IMPORTANT: 4 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!
[ebuild N ] sys-devel/bin86-0.16.18
[ebuild N ] app-emulation/virtualbox-additions-4.0.2
[ebuild N ] app-emulation/virtualbox-modules-4.0.2
[ebuild N ] dev-util/pkgconfig-0.25-r2 USE="-hardened"
[ebuild N ] sys-devel/dev86-0.16.18
[ebuild N ] sys-power/iasl-20100528 USE="-test"
[ebuild N ] sys-apps/help2man-1.38.4 USE="nls"
[ebuild N ] dev-python/cython-0.14.1_rc2 USE="-doc -examples"
[ebuild NS ] sys-devel/automake-1.9.6-r3 [1.10.2, 1.11.1]
[ebuild N ] dev-lang/yasm-1.1.0-r1 USE="nls python"
[ebuild N ] app-emulation/virtualbox-bin-4.0.2 USE="additions python rdesktop-vrdp vboxwebsrv -chm -headless -sdk"
[ebuild N ] dev-util/kbuild-0.1.5_p2-r1
[ebuild N ] app-emulation/virtualbox-4.0.2 USE="additions alsa opengl pulseaudio python qt4 -doc -extensions -headless -java -sdk -vboxwebsrv"
[ebuild N ] app-emulation/virtualbox-extpack-oracle-4.0.2
[blocks B ] app-emulation/virtualbox ("app-emulation/virtualbox" is blocking app-emulation/virtualbox-bin-4.0.2)
[blocks B ] app-emulation/virtualbox-additions ("app-emulation/virtualbox-additions" is blocking app-emulation/virtualbox-bin-4.0.2)
[blocks B ] app-emulation/virtualbox-bin ("app-emulation/virtualbox-bin" is blocking app-emulation/virtualbox-additions-4.0.2, app-emulation/virtualbox-4.0.2)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

(app-emulation/virtualbox-additions-4.0.2::gentoo, ebuild scheduled for merge) pulled in by
app-emulation/virtualbox-additions
~app-emulation/virtualbox-additions-4.0.2 required by (app-emulation/virtualbox-4.0.2::gentoo, ebuild scheduled for merge)

(app-emulation/virtualbox-4.0.2::gentoo, ebuild scheduled for merge) pulled in by
~app-emulation/virtualbox-4.0.2 required by (app-emulation/virtualbox-extpack-oracle-4.0.2::gentoo, ebuild scheduled for merge)

(app-emulation/virtualbox-bin-4.0.2::gentoo, ebuild scheduled for merge) pulled in by
app-emulation/virtualbox-bin


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/h ... =1#blocked


* IMPORTANT: 4 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.
Ho provato sia con "*" sia con "PUEL" nella voce del file /etc/make.conf (che prima era anche commentata).

... :oops:

Matte88
Technological Hen
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo

Re: problema kwin dopo upgrade kernel

Post by Matte88 » Mon Jan 24, 2011 19:26

Prova solo con

Code: Select all

emerge -av virtualbox-bin
Image
When I became the sun,
I shone life into the man's hearts.

sedo_5
Growing Hen
Posts: 133
Joined: Sun Dec 05, 2010 19:20

Re: problema kwin dopo upgrade kernel

Post by sedo_5 » Mon Jan 24, 2011 19:45

Grande! Ha funzionato!
Ora leggo un po' sul man cosa fanno quelle due opzioni..
Comunque, non so se ho fatto bene o male (ma credo che in realtà si potesse fare solo così): ho utilizzato emerge da root. quindi con il mio utente non riesco ad avviarlo ma con root sì (anche se il mio utente fà parte del gruppo vboxusers e vboxguest).
Vedo come fare...
Ciao e grazie ancora!

Renzo

Matte88
Technological Hen
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo

Re: problema kwin dopo upgrade kernel

Post by Matte88 » Mon Jan 24, 2011 23:12

Scusa, fammi capire bene: cosa hai usato da root? emerge o VirtualBox? :shock: Perchè nel 2nd caso sappi che non dovresti mai lanciarla da root, mai! :eye:
Quasi dimenticavo, Ricorda!-> ogni volta che installi software da Portage (usando quindi emerge) dai sempre questo comandoa

Code: Select all

equo rescue spmsync
Image
When I became the sun,
I shone life into the man's hearts.

sedo_5
Growing Hen
Posts: 133
Joined: Sun Dec 05, 2010 19:20

Re: problema kwin dopo upgrade kernel

Post by sedo_5 » Tue Jan 25, 2011 13:06

Allora: io ho usato emerge dopo su (quindi root) e penso che non avrei potuto fare altrimenti.
Una volta installato vbox da utente non si avviava, anche dopo aver inserito il mio utente nel gruppo vboxusers.
Posso pensare che, per la fretta di provarlo, io abbia avviato vbox per la prima volta come root (anche se sapevo già che non è consigliato). E' avviabile, attualmente, solo da root. A sto punto lo disinstallo da emerge, lo riinstallo sempre con emerge, poi do il comando finale che dici tu, poi inserisco il mio utente nel gruppo e poi spero si avvii dal mio utente.
Vediamo.

Grazie

Renzo

Matte88
Technological Hen
Posts: 399
Joined: Wed Dec 29, 2010 14:37
Location: @/etc/entropy/repositories.conf.d/entropy_sabayon-limbo

Re: problema kwin dopo upgrade kernel

Post by Matte88 » Tue Jan 25, 2011 14:20

Il problema del mancato avvio succedeva anche a me... Dopo essermi addato ai gruppi necessari non si avviava ancora; ho riavviato il PC e VirtualBox è partita da utente normale (come dovrebbe giustamente fare) :roll:
Image
When I became the sun,
I shone life into the man's hearts.

Post Reply